=== removed file 'docs/aggregatefunctions.rst'
--- docs/aggregatefunctions.rst	2011-01-17 22:15:30 +0000
+++ docs/aggregatefunctions.rst	1970-01-01 00:00:00 +0000
@@ -1,45 +0,0 @@
-Aggregate Functions
-===================
-
-SQL group (aggregate) functions operate on sets of values. If you use an aggregate function in a statement containing no GROUP BY clause, it is equivalent to grouping on all rows.
-
-General syntax for aggregate functions is: ::
-
-	SELECT "function type" ("column_name")
-	FROM "table_name";
-
-The following are examples of aggregate functions:
-
-**AVG**:  Return the average value of the argument. (Does not work with temporal values unless first converted to numeric values.)
-
-:doc:`count`
-(DISTINCT):  Return the count of a number of different values
-
-:doc:`count`:  Return a count of the number of rows returned
-	
-**GROUP_CONCAT**:  Return a concatenated string
-
-**MAX**:  Return the maximum value
-
-**MIN**:  Return the minimum value
-
-**STD**:  Return the population standard deviation
-
-**STDDEV_POP**:  Return the population standard deviation
-
-**STDDEV_SAMP**:  Return the sample standard deviation
-
-**STDDEV**:  Return the population standard deviation
-
-**SUM**:  Return the sum. (Does not work with temporal values unless first converted to numeric values.)
-
-**VAR_POP**:  Return the population standard variance
-
-**VAR_SAMP**:  Return the sample variance
-
-**VARIANCE**:  Return the population standard variance
-
-.. toctree::
-   :hidden: 
-
-   count

=== removed file 'docs/count.rst'
--- docs/count.rst	2011-01-18 00:10:25 +0000
+++ docs/count.rst	1970-01-01 00:00:00 +0000
@@ -1,31 +0,0 @@
-COUNT
------
-
-Take the following "Nodes" table, where 'nodes' are user-contributed content:
-
-+--------+-------------------+------------+----------------+-------------------+
-|NodeID  |ContributionDate   |NodeSize    |NodePopularity  |UserName           |
-+--------+-------------------+------------+----------------+-------------------+
-|1	 |12/22/2010         |160	  |2	           |Smith              |
-+--------+-------------------+------------+----------------+-------------------+
-|2	 |08/10/2010	     |190	  |2	           |Johnson            |
-+--------+-------------------+------------+----------------+-------------------+
-|3  	 |07/13/2010	     |500	  |5	           |Baldwin            |
-+--------+-------------------+------------+----------------+-------------------+
-|4	 |07/15/2010         |420	  |2               |Smith              |
-+--------+-------------------+------------+----------------+-------------------+
-|5	 |12/22/2010         |1000	  |4               |Wood               |
-+--------+-------------------+------------+----------------+-------------------+
-|6       |10/2/2010          |820	  |4	           |Smith              |
-+--------+-------------------+------------+----------------+-------------------+
-
-The SQL COUNT function returns the number of rows in a table satisfying the criteria specified in the WHERE clause. If we want to count how many orders has made a customer with CustomerName of Smith, we will use the following SQL COUNT expression: ::
-
-	SELECT COUNT * FROM Nodes
-	WHERE UserName = "Smith";
-
-In the above statement, the COUNT keyword returns the number 3, because the user Smith has 3 total nodes.
-
-If you don’t specify a WHERE clause when using the COUNT keyword, your statement will simply return the total number of rows in the table, which would be 6 in this example: ::
-
-	SELECT COUNT * FROM Nodes;

=== added directory 'docs/functions'
=== removed file 'docs/functions.rst'
--- docs/functions.rst	2011-01-20 04:06:47 +0000
+++ docs/functions.rst	1970-01-01 00:00:00 +0000
@@ -1,14 +0,0 @@
-SQL Functions
-=============
-
-Several SQL functions are built into Drizzle--functions perform calculations on data. They can be be understood in categories: 
-   
-.. toctree::
-   :maxdepth: 2
-
-   logical
-   mathematical 
-   aggregatefunctions
-   string
-   scalarfunctions
-  

=== added file 'docs/functions/aggregatefunctions.rst'
--- docs/functions/aggregatefunctions.rst	1970-01-01 00:00:00 +0000
+++ docs/functions/aggregatefunctions.rst	2011-01-22 20:34:44 +0000
@@ -0,0 +1,45 @@
+Aggregate Functions
+===================
+
+SQL group (aggregate) functions operate on sets of values. If you use an aggregate function in a statement containing no GROUP BY clause, it is equivalent to grouping on all rows.
+
+General syntax for aggregate functions is: ::
+
+	SELECT "function type" ("column_name")
+	FROM "table_name";
+
+The following are examples of aggregate functions:
+
+**AVG**:  Return the average value of the argument. (Does not work with temporal values unless first converted to numeric values.)
+
+:doc:`count`
+(DISTINCT):  Return the count of a number of different values
+
+:doc:`count`:  Return a count of the number of rows returned
+	
+**GROUP_CONCAT**:  Return a concatenated string
+
+**MAX**:  Return the maximum value
+
+**MIN**:  Return the minimum value
+
+**STD**:  Return the population standard deviation
+
+**STDDEV_POP**:  Return the population standard deviation
+
+**STDDEV_SAMP**:  Return the sample standard deviation
+
+**STDDEV**:  Return the population standard deviation
+
+**SUM**:  Return the sum. (Does not work with temporal values unless first converted to numeric values.)
+
+**VAR_POP**:  Return the population standard variance
+
+**VAR_SAMP**:  Return the sample variance
+
+**VARIANCE**:  Return the population standard variance
+
+.. toctree::
+   :hidden: 
+
+   count

=== added file 'docs/functions/count.rst'
--- docs/functions/count.rst	1970-01-01 00:00:00 +0000
+++ docs/functions/count.rst	2011-01-22 20:34:44 +0000
@@ -0,0 +1,31 @@
+COUNT
+-----
+
+Take the following "Nodes" table, where 'nodes' are user-contributed content:
+
++--------+-------------------+------------+----------------+-------------------+
+|NodeID  |ContributionDate   |NodeSize    |NodePopularity  |UserName           |
++--------+-------------------+------------+----------------+-------------------+
+|1	 |12/22/2010         |160	  |2	           |Smith              |
++--------+-------------------+------------+----------------+-------------------+
+|2	 |08/10/2010	     |190	  |2	           |Johnson            |
++--------+-------------------+------------+----------------+-------------------+
+|3  	 |07/13/2010	     |500	  |5	           |Baldwin            |
++--------+-------------------+------------+----------------+-------------------+
+|4	 |07/15/2010         |420	  |2               |Smith              |
++--------+-------------------+------------+----------------+-------------------+
+|5	 |12/22/2010         |1000	  |4               |Wood               |
++--------+-------------------+------------+----------------+-------------------+
+|6       |10/2/2010          |820	  |4	           |Smith              |
++--------+-------------------+------------+----------------+-------------------+
+
+The SQL COUNT function returns the number of rows in a table satisfying the criteria specified in the WHERE clause. If we want to count how many orders has made a customer with CustomerName of Smith, we will use the following SQL COUNT expression: ::
+
+	SELECT COUNT * FROM Nodes
+	WHERE UserName = "Smith";
+
+In the above statement, the COUNT keyword returns the number 3, because the user Smith has 3 total nodes.
+
+If you don’t specify a WHERE clause when using the COUNT keyword, your statement will simply return the total number of rows in the table, which would be 6 in this example: ::
+
+	SELECT COUNT * FROM Nodes;

=== added file 'docs/functions/logical.rst'
--- docs/functions/logical.rst	1970-01-01 00:00:00 +0000
+++ docs/functions/logical.rst	2011-01-22 20:34:44 +0000
@@ -0,0 +1,16 @@
+Logical and Comparison Operators
+================================
+
+=========     ==========================
+Operators     Description
+=========     ==========================
+AND (&&)       Logical AND
+OR (||)        Logical OR
+NOT (!)        Logical NOT
+< 	       less than
+> 	       greater than
+<= 	       less than or equal to
+>= 	       greater than or equal to
+= 	       equal
+<> or !=       not equal
+=========     ==========================

=== added file 'docs/functions/mathematical.rst'
--- docs/functions/mathematical.rst	1970-01-01 00:00:00 +0000
+++ docs/functions/mathematical.rst	2011-01-22 20:34:44 +0000
@@ -0,0 +1,84 @@
+Mathematical Functions and Operators
+====================================
+
+Mathematical operators are provided for many Drizzle types. ::
+
+	========    ==================   ==========  ======
+	Operator    Description          Example     Result
+	========    ==================   ==========  ======
+	+           addition             2 + 3       5
+	-           subtraction          2 - 3       -1
+	*           multiplication       2 * 3       6
+	/           division             4 / 2       2
+	%           modulo (remainder)   5 % 4       1
+	|/          square root          |/ 25.0     5
+	||/         cube root            ||/ 27.0  3
+	!           factorial            5 !         120
+	!!          factorial            !! 5        120
+	@           absolute value       @ -5.0      5
+	========    ==================   ==========  ======
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+

=== added file 'docs/functions/overview.rst'
--- docs/functions/overview.rst	1970-01-01 00:00:00 +0000
+++ docs/functions/overview.rst	2011-01-22 20:34:44 +0000
@@ -0,0 +1,14 @@
+SQL Functions
+=============
+
+Several SQL functions are built into Drizzle--functions perform calculations on data. They can be be understood in categories: 
+   
+.. toctree::
+   :maxdepth: 2
+
+   logical
+   mathematical 
+   aggregatefunctions
+   string
+   scalarfunctions
+  

=== added file 'docs/functions/scalarfunctions.rst'
--- docs/functions/scalarfunctions.rst	1970-01-01 00:00:00 +0000
+++ docs/functions/scalarfunctions.rst	2011-01-22 20:34:44 +0000
@@ -0,0 +1,21 @@
+Scalar functions
+================
+
+*SQL scalar functions are based on the input value, and return a single value.*
+
+General syntax for scalar functions is: ::
+
+	SELECT "function type" ("column_name")
+	FROM "table_name"
+
+Click on the following scalar functions to learn more:
+
+    * UCASE() - Converts a field to upper case
+    * LCASE() - Converts a field to lower case
+    * MID() - Extract characters from a text field
+    * LEN() - Returns the length of a text field
+    * ROUND() - Rounds a numeric field to the number of decimals specified
+    * NOW() - Returns the current system date and time
+    * FORMAT() - Formats how a field is to be displayed
+
+

=== added file 'docs/functions/string.rst'
--- docs/functions/string.rst	1970-01-01 00:00:00 +0000
+++ docs/functions/string.rst	2011-01-22 20:34:44 +0000
@@ -0,0 +1,10 @@
+String Functions and Operators
+==============================
+
+==========     ===========================================
+Operator         Description
+==========     ===========================================
+LIKE 	        Simple pattern matching
+NOT LIKE 	Negation of simple pattern matching
+STRCMP() 	Compare two strings
+==========     ===========================================

=== modified file 'docs/index.rst'
--- docs/index.rst	2011-01-22 19:29:42 +0000
+++ docs/index.rst	2011-01-22 20:34:44 +0000
@@ -52,7 +52,7 @@
    :maxdepth: 2
 
    queries
-   functions
+   functions/overview
    data_types
    ddl
    dml

=== removed file 'docs/logical.rst'
--- docs/logical.rst	2011-01-20 00:34:15 +0000
+++ docs/logical.rst	1970-01-01 00:00:00 +0000
@@ -1,16 +0,0 @@
-Logical and Comparison Operators
-================================
-
-=========     ==========================
-Operators     Description
-=========     ==========================
-AND (&&)       Logical AND
-OR (||)        Logical OR
-NOT (!)        Logical NOT
-< 	       less than
-> 	       greater than
-<= 	       less than or equal to
->= 	       greater than or equal to
-= 	       equal
-<> or !=       not equal
-=========     ==========================

=== removed file 'docs/mathematical.rst'
--- docs/mathematical.rst	2011-01-17 22:15:30 +0000
+++ docs/mathematical.rst	1970-01-01 00:00:00 +0000
@@ -1,84 +0,0 @@
-Mathematical Functions and Operators
-====================================
-
-Mathematical operators are provided for many Drizzle types. ::
-
-	========    ==================   ==========  ======
-	Operator    Description          Example     Result
-	========    ==================   ==========  ======
-	+           addition             2 + 3       5
-	-           subtraction          2 - 3       -1
-	*           multiplication       2 * 3       6
-	/           division             4 / 2       2
-	%           modulo (remainder)   5 % 4       1
-	|/          square root          |/ 25.0     5
-	||/         cube root            ||/ 27.0  3
-	!           factorial            5 !         120
-	!!          factorial            !! 5        120
-	@           absolute value       @ -5.0      5
-	========    ==================   ==========  ======
-
-
-
-
-
-
-
-
-
-
-
-
-
-
-
-
-
-
-
-
-
-
-
-
-
-
-
-
-
-
-
-
-
-
-
-
-
-
-
-
-
-
-
-
-
-
-
-
-
-
-
-
-
-
-
-
-
-
-
-
-
-
-
-
-

=== removed file 'docs/scalarfunctions.rst'
--- docs/scalarfunctions.rst	2011-01-14 05:12:29 +0000
+++ docs/scalarfunctions.rst	1970-01-01 00:00:00 +0000
@@ -1,21 +0,0 @@
-Scalar functions
-================
-
-*SQL scalar functions are based on the input value, and return a single value.*
-
-General syntax for scalar functions is: ::
-
-	SELECT "function type" ("column_name")
-	FROM "table_name"
-
-Click on the following scalar functions to learn more:
-
-    * UCASE() - Converts a field to upper case
-    * LCASE() - Converts a field to lower case
-    * MID() - Extract characters from a text field
-    * LEN() - Returns the length of a text field
-    * ROUND() - Rounds a numeric field to the number of decimals specified
-    * NOW() - Returns the current system date and time
-    * FORMAT() - Formats how a field is to be displayed
-
-

=== removed file 'docs/string.rst'
--- docs/string.rst	2011-01-20 04:06:47 +0000
+++ docs/string.rst	1970-01-01 00:00:00 +0000
@@ -1,10 +0,0 @@
-String Functions and Operators
-==============================
-
-==========     ===========================================
-Operator         Description
-==========     ===========================================
-LIKE 	        Simple pattern matching
-NOT LIKE 	Negation of simple pattern matching
-STRCMP() 	Compare two strings
-==========     ===========================================

